summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-sound/scmpc/ChangeLog5
-rw-r--r--media-sound/scmpc/files/scmpc.init30
2 files changed, 34 insertions, 1 deletions
diff --git a/media-sound/scmpc/ChangeLog b/media-sound/scmpc/ChangeLog
index 87c56ed3a770..b066b330b1d4 100644
--- a/media-sound/scmpc/ChangeLog
+++ b/media-sound/scmpc/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for media-sound/scmpc
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/media-sound/scmpc/ChangeLog,v 1.1 2007/06/27 00:47:25 angelos Exp $
+# $Header: /var/cvsroot/gentoo-x86/media-sound/scmpc/ChangeLog,v 1.2 2007/06/27 00:57:41 angelos Exp $
+
+ 27 Jun 2007; Christoph Mende <angelos@gentoo.org> +files/scmpc.init:
+ Added an init script, thanks to Avuton Olrich
*scmpc-0.2.2 (26 Jun 2007)
diff --git a/media-sound/scmpc/files/scmpc.init b/media-sound/scmpc/files/scmpc.init
new file mode 100644
index 000000000000..851cd5011da8
--- /dev/null
+++ b/media-sound/scmpc/files/scmpc.init
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need net mpd
+}
+
+checkconfig() {
+ if ! [ -f /etc/scmpc.conf ]; then
+ eerror "Configuration file /etc/scmpc.conf does not exist."
+ return 1
+ fi
+
+ return 0
+}
+
+start () {
+ checkconfig || return 1
+
+ ebegin "Starting scmpc"
+ start-stop-daemon --start --exec /usr/bin/scmpc
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping scmpc"
+ start-stop-daemon --stop --exec /usr/bin/scmpc || eerror "scmpc is not running"
+ eend $?
+}